local LibStub = LibStub
local AceAddon = LibStub("AceAddon-3.0")
local AceLocale = LibStub("AceLocale-3.0")
local AceDBOptions = LibStub("AceDBOptions-3.0")
local AceConfig = LibStub("AceConfig-3.0")
local AceConfigDialog = LibStub("AceConfigDialog-3.0")

local Geodew = AceAddon:GetAddon("Geodew")
local Geodew_Options = AceAddon:GetAddon("Geodew_Options")

local optionsFrames = {}

function Geodew_Options:OnInitialize()
	local options = Geodew_Options : get_table()
	AceConfig:RegisterOptionsTable("Geodew", options, nil)
	optionsFrames.general = AceConfigDialog:AddToBlizOptions("Geodew", "Geodew")
end