local Geodew = LibStub("AceAddon-3.0"):GetAddon("Geodew")
local property

function Geodew.Module.range()
	if property == nil then
		local pairs = pairs
		local p =
		{
			enable = false,
			timer = 0.1,
			radius_factor = 0.95,

			optimal = false,
			optimal_points = 20,
			optimal_timer = 0.4,
			optimal_range = 40,
		}
		local pr = Geodew.UI.GetBarProperty()
		local k,v
		for k,v in pairs(pr) do
			p[k]=v
		end
		pr = Geodew.UI.GetGridProperty()
		for k,v in pairs(pr) do
			p[k]=v
		end
		property=
		{
			profile = p
		}
	end
	return property
end